Bug 230235 - dwarf_getscopes from an inner inlined function sometimes fails
dwarf_getscopes from an inner inlined function sometimes fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-27 12:03 EST by Stan Cox
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.129-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 13:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
self contained reproducer (3.88 KB, application/octet-stream)
2007-02-27 12:03 EST, Stan Cox
no flags Details
The executable used for the test (6.43 KB, application/octet-stream)
2007-06-19 17:46 EDT, Sami Wagiaalla
no flags Details
source for test (176 bytes, text/x-csrc)
2007-06-19 17:48 EDT, Sami Wagiaalla
no flags Details

  None (edit)
Description Stan Cox 2007-02-27 12:03:24 EST
Description of problem: calling dwarf_getscopes from an inlined function


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. tar -x -f dumpscopes.tbz
2. # fix dumpscopes.sh to point to ELFUTILS
3. sh dumpscopes.sh
  
Actual results:
2 similar stack traces for -O0
2 aborts for -O

Expected results:
4 similar stack traces:
func_2
loop.c


Additional info:
Comment 1 Stan Cox 2007-02-27 12:03:24 EST
Created attachment 148874 [details]
self contained reproducer
Comment 2 Sami Wagiaalla 2007-06-19 17:46:28 EDT
Created attachment 157422 [details]
The executable used for the test
Comment 3 Sami Wagiaalla 2007-06-19 17:47:29 EDT
Test Case for getscopes from inlined function using the aboe excutable:

I am interested in address 0x8048369.
running:
 ./tests/addrscopes -e ../../frysk-core/frysk/pkglibdir/funit-scopes 0x8048369
returns:
 ./tests/addrscopes: dwarf_getscopes: .debug_ranges section missing

just to double check I ran:
./tests/addrscopes -e ../../frysk-core/frysk/pkglibdir/funit-scopes 0x8048347
0x8048347:
which returned: 
/to/scratch/swagiaal/frysks/frysk.patches/frysk-core/frysk/pkglibdir/funit-scopes.c
(0x11): 0x8048344
(/to/scratch/swagiaal/frysks/frysk.patches/frysk-core/frysk/pkglibdir/funit-scopes.c:3)
.. 0x80483aa
(/to/scratch/swagiaal/frysks/frysk.patches/frysk-core/frysk/pkglibdir/funit-scopes.c:21)
        crash (0x2e): 0x8048344
(/to/scratch/swagiaal/frysks/frysk.patches/frysk-core/frysk/pkglibdir/funit-scopes.c:3)
.. 0x8048353
(/to/scratch/swagiaal/frysks/frysk.patches/frysk-core/frysk/pkglibdir/funit-scopes.c:12)
            a                             [    8d]


Comment 4 Sami Wagiaalla 2007-06-19 17:48:51 EDT
Created attachment 157423 [details]
source for test
Comment 5 Roland McGrath 2007-08-07 15:52:15 EDT
Both these cases did turn out to be related bugs.  I have fixes upstream.
Comment 6 Fedora Update System 2007-08-20 12:01:05 EDT
elfutils-0.129-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-08-29 13:30:46 EDT
elfutils-0.129-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.